Callisto4Bootloader: ARK/platform_startup.h File Reference

Callisto4Bootloader

Functions
platform_startup.h File Reference
`#include "platform-api.h"`

Go to the source code of this file.

## Functions

ePLATFORM_HasMask_t | PLATFORM_STARTUP_PluginsRelocate (uint16_t u16DeviceNumber)
| Relocate the plugins (but don't actually start executing them) More...
bool | PLATFORM_STARTUP_PluginsLateLink (const stPlatformCalls_t *pstPlatformCalls, uint16_t u16DeviceNumber)
| Late-link the plugins. More...
uint32_t | PLATFORM_STARTUP_PluginsLaunch (uint16_t u16DeviceNumber)
| Launch all valid plugins. More...

## Function Documentation

## ◆ PLATFORM_STARTUP_PluginsLateLink()

bool PLATFORM_STARTUP_PluginsLateLink | ( | const stPlatformCalls_t * | pstPlatformCalls,
|  | uint16_t | u16DeviceNumber
| ) |  |

Late-link the plugins.

Parameters

  [in] | pstPlatformCalls | Platform vector table to start plugins with
  [in] | u16DeviceNumber | Device number to pass down to plugins

Returns
  false if problem encountered, else true

Late-link all valid plugins to the platform (or to a mock platform)

Definition at line 280 of file platform_startup.c.

References appstTestPluginTargetPluginCallBlock, apstMockHeader, apstPluginHeader, i, NULL, and pstMainPlatform.

## ◆ PLATFORM_STARTUP_PluginsLaunch()

uint32_t PLATFORM_STARTUP_PluginsLaunch | ( | uint16_t | u16DeviceNumber | ) |

Launch all valid plugins.

Parameters

  [in] | u16DeviceNumber | Device number to pass down to plugins

Returns
  false if problem encountered, else true

Launch all valid plugins

Definition at line 335 of file platform_startup.c.

References apstPluginHeader, NULL, and sLaunchPlugin().

## ◆ PLATFORM_STARTUP_PluginsRelocate()

ePLATFORM_HasMask_t PLATFORM_STARTUP_PluginsRelocate | ( | uint16_t | u16DeviceNumber | ) |

Relocate the plugins (but don't actually start executing them)

Parameters

  [in] | u16DeviceNumber | Device number to pass down to plugins

Returns
  Merged bitmask of all the extra hardware that needs initialising

Relocate the plugins and determine what hardware they need initialising Note: we don't actually launch the plugins until a later step!

Definition at line 239 of file platform_startup.c.

References apstMockHeader, apstPluginHeader, CheckThatPluginIsValid(), NULL, and sTestCallback().